<?php

final class Divi_Monk_Loader {
	/**
     * Holds the class object.
     *
     * @since 1.0.0
     * @var object
     */
    public static $instance;

    /**
     * Holds the errors.
     *
     * @since 1.0.0
     * @var array
     */
	public static $errors;

	/**
	 * Primary class constructor.
	 *
	 * @since 1.0.0
	 */
	public function __construct()
	{
		add_action( 'admin_enqueue_scripts', array( $this, 'register_admin_scripts' ) );

		/* Includes */
		require_once DIVI_MONK_DIR . 'includes/functions.php';
		require_once DIVI_MONK_DIR . 'includes/updater/update-config.php';

		/* Classes */
		require_once DIVI_MONK_DIR . 'classes/class-dm-portability.php';
		require_once DIVI_MONK_DIR . 'classes/class-dm-ajax.php';
		require_once DIVI_MONK_DIR . 'classes/class-dm-admin-settings.php';
	}

	public function register_admin_scripts()
	{
		wp_register_style( 'divi-monk-admin-style', DIVI_MONK_URL . 'assets/css/admin-settings.css', array(), DIVI_MONK_VER );
		wp_register_script( 'divi-monk-admin-script', DIVI_MONK_URL . 'assets/js/admin-settings.js', array('jquery'), DIVI_MONK_VER, true );
	}

	/**
	 * Returns the singleton instance of the class.
	 *
	 * @since 1.0.0
	 * @return object The Divi_Monk_Loader object.
	 */
	public static function get_instance()
	{
		if ( ! isset( self::$instance ) && ! ( self::$instance instanceof Divi_Monk_Loader ) ) {
			self::$instance = new Divi_Monk_Loader();
		}

		return self::$instance;
	}
}

$divi_monk = Divi_Monk_Loader::get_instance();
