<?php
/**
 * License options.
 *
 * @since 1.0.0
 * @package Divi_Monk_Admin_Settings
 */
?>

<?php if ( is_network_admin() || ! is_multisite() ) { ?>

    <h2 class="divi-monk-page-title"><?php esc_html_e('Activate License', 'divi-monk'); ?></h2>

    <p><?php echo sprintf(__('Enter your <a href="%s" target="_blank">license key</a> to enable remote updates and support.', 'divi-monk'), 'https://divimonk.com/checkout/purchase-history/?utm_medium=divimonk&utm_source=license-settings-page&utm_campaign=license-key-link'); ?>

    <table class="form-table">
        <tbody>
            <tr valign="top">
                <th scope="row" valign="top">
                    <?php esc_html_e('License Key', 'divi-monk'); ?>
                </th>
                <td>
                    <input id="divi_monk_license_key" name="divi_monk_license_key" type="password" class="regular-text" value="<?php esc_attr_e( $license ); ?>" />
                </td>
            </tr>
            <tr valign="top">
                <th scope="row" valign="top">
                    <?php esc_html_e( 'License Status', 'divi-monk' ); ?>
                </th>
                <td>

                    <?php if ( 'valid' == $status ) { ?>

                        <?php wp_nonce_field( '_divi_monk_license_deactivate_nonce', 'divi_monk_license_deactivate_nonce' ); ?>
                        <span style="color: #4CAF50; padding: 5px 0; margin-right: 10px; text-shadow: none; border-radius: 3px; display: inline-block; text-transform: uppercase;"><?php esc_html_e('License is active', 'divi-monk'); ?></span>
                        <input type="submit" class="button-secondary divi-monk-button" name="divi_monk_license_deactivate" value="<?php esc_html_e('Deactivate License', 'divi-monk'); ?>" />

                    <?php } else { ?>

                        <?php if ( $status == '' || ! $status ) { $status = 'inactive'; } ?>

                        <?php wp_nonce_field( '_divi_monk_license_activate_nonce', 'divi_monk_license_activate_nonce' ); ?>
                        <span style="<?php echo $status == 'inactive' ? 'color: #ff7a00;' : 'color: #F44336;'; ?> padding: 5px 0; margin-right: 10px; text-shadow: none; border-radius: 3px; display: inline-block; text-transform: uppercase;"><?php echo ( $status == 'inactive' ) ? __('License is not active', 'divi-monk') : __('Invalid license key', 'divi-monk'); ?></span>
                        <input type="submit" class="button-secondary divi-monk-button" name="divi_monk_license_activate" value="<?php esc_html_e( 'Activate License', 'divi-monk' ); ?>"/>
                        <p class="description"><?php esc_html_e( 'Please click the “Activate License” button to activate your license.', 'divi-monk' ); ?></p>

                    <?php } ?>
                </td>
            </tr>
        </tbody>
    </table>
    <?php wp_nonce_field( '_divi_monk_license_nonce', 'divi_monk_license_nonce' ); ?>

<?php } ?>

<?php if ( ! is_network_admin() && is_multisite() ) { ?>
    <p style="font-size: 15px;">
    <?php if ( 'valid' != $status ) { ?>
        <?php esc_html_e('The license is NOT activated! Please activate your DiviMonk license from network settings.', 'divi-monk'); ?>
    <?php } else { ?>
        <?php esc_html_e('License is ACTIVE!', 'divi-monk'); ?>
    <?php } ?>
    </p>
<?php } ?>
