<?php
    $navigate           = ( isset( $_GET['navigate'] ) && ! empty( $_GET['navigate'] ) ) ? $_GET['navigate'] : 'layout';
    $templates          = self::get_templates( $navigate );
    $enabled_templates  = self::get_enabled_templates();
    if ( ! is_array( $enabled_templates ) ) {
        $enabled_templates = array();
    }
?>
<div class="divi-monk-templates">

    <div class="wp-filter divi-monk-template-filter hide-if-no-js">
        <div class="filter-count">
            <span class="count theme-count">
                <?php
                    echo divi_monk_template_count( $templates, $navigate );
                    // if ( $template_type == 'row' ) {
                    //     $count = 0;
                    //     foreach ( $template_categories as $template_cat => $template_info ) {
                    //         if ( isset( $template_info['count'] ) ) {
                    //             $count = $count + $template_info['count'];
                    //         }
                    //     }
                    //     echo $count;
                    // }
                ?>
            </span>
        </div>
        <ul class="filter-links">
            <li><a href="<?php echo self::get_form_action( '&navigate=layout' ); ?>" class="<?php echo ( 'layout' == $navigate ) ? 'current' : ''; ?>" data-type="layout"><?php esc_html_e( 'Layout', 'divi-monk' ); ?></a></li>
            <li><a href="<?php echo self::get_form_action( '&navigate=section' ); ?>" class="<?php echo ( 'section' == $navigate ) ? 'current' : ''; ?>" data-type="section"><?php esc_html_e( 'Section', 'divi-monk' ); ?></a></li>
            <li><a href="<?php echo self::get_form_action( '&navigate=module' ); ?>" class="<?php echo ( 'module' == $navigate ) ? 'current' : ''; ?>" data-type="module"><?php esc_html_e( 'Module', 'divi-monk' ); ?></a></li>
        </ul>
        <div class="divi-monk-settings-toggle<?php echo ( 'valid' == $status ) ? ' license-active' : ' license-inactive'; ?>">
            <?php if ( 'valid' == $status ) : ?>
                <span class="dashicons dashicons-admin-network license-active"></span>
                <span class="license-status-text license-active"><?php esc_html_e('License Active', 'divi-monk'); ?></span>
            <?php else : ?>
                <span class="dashicons dashicons-no-alt license-inactive"></span>
                <span class="license-status-text license-inactive"><?php esc_html_e('License Inactive', 'divi-monk'); ?></span>
            <?php endif; ?>
            <?php if ( is_network_admin() || ! is_multisite() ) : ?>
                <span> | <a href="<?php echo self::get_form_action( '&tab=license' ); ?>"><?php esc_html_e('Manage', 'divi-monk'); ?></a></span>
            <?php endif; ?>
        </div>
        <div class="search-form">
            <label class="screen-reader-text" for="wp-filter-search-input"><?php esc_html_e( 'Search Templates', 'divi-monk' ); ?></label>
            <input placeholder="Search templates..." type="search" aria-describedby="live-search-desc" id="wp-filter-search-input" class="wp-filter-search">
        </div>
        <div class="divi-monk-refresh-panel">
            <a href="<?php echo self::get_form_action( '&navigate='.$navigate.'&refresh=1' ); ?>" class="button divi-monk-button"><?php esc_html_e( 'Reload', 'divi-monk' ); ?></a>
        </div>
    </div>

    <div class="divi-monk-template-categories" style="display: none;">
        <ul>
            <li class="divi-monk-template-category first"><strong><?php _e('Filter: ', 'divi-monk'); ?></strong></li>
            <li class="divi-monk-template-category reset-filter">
                <a href="#"><?php esc_html_e('All', 'divi-monk'); ?></a>
            </li>
            <?php foreach ( divi_monk_template_categories( $navigate ) as $slug => $label ) : ?>
                <li class="divi-monk-template-category filter-<?php echo $slug; ?>">
                    <a href="#" class="filter-<?php echo $slug; ?>" data-filter="<?php echo $slug; ?>"><?php echo $label; ?></a>
                </li>
            <?php endforeach; ?>
        </ul>
    </div>

    <div class="divi-monk-templates-grid wp-clearfix">
        <?php
        if ( is_array( $templates ) && count( $templates ) ) :

            foreach ( $templates as $id => $template ) :

                if ( isset( $template['status'] ) && 'private' == $template['status'] && ! isset( $_GET['private'] ) ) :
                    continue;
                endif;

                ?>
                <div class="divi-monk-template filter-<?php echo $template['category']; ?><?php echo ( isset( $enabled_templates[$id] ) && 'publish' == get_post_status( intval( $enabled_templates[$id] ) ) ) ? ' template-enabled template-post-' . $enabled_templates[$id] : ''; ?>">
                    <div class="template-screenshot">
                        <a href="<?php echo $template['demo_url']; ?>" class="template-preview" target="_blank"><img src="<?php echo $template['screenshot_url']; ?>" title="<?php echo $template['title']; ?>" /></a>
                    </div>
                    <div class="template-footer">
                        <div class="template-title-wrap">
                            <h3 class="template-title"><span class="dashicons dashicons-yes" title="<?php _e('Downloaded!', 'divi-monk'); ?>"></span><?php echo $template['title']; ?></h3>
                        </div>
                        <div class="template-actions">
                            <a href="<?php echo $template['demo_url']; ?>" class="template-preview" target="_blank"><?php _e('Preview', 'divi-monk'); ?></a>
                            <?php if ( isset( $template['status'] ) && 'draft' != $template['status'] ) : ?>
                                <a href="#activate" class="template-activate divi-monk-button" data-downloading="<?php esc_html_e('Downloading...', 'divi-monk'); ?>" data-downloaded="<?php esc_html_e('Downloaded!', 'divi-monk'); ?>" data-template-id="<?php echo $template['id']; ?>" data-nonce="<?php echo wp_create_nonce( 'dm_template_' . $template['id'] ); ?>"><?php _e('Download', 'divi-monk'); ?></a>
                            <?php endif; ?>
                            <?php if ( isset( $template['status'] ) && 'draft' == $template['status'] ) : ?>
                                <a href="javascript:void(0)" class="template-soon divi-monk-button"><?php _e('Coming Soon!', 'divi-monk'); ?></a>
                            <?php endif; ?>
                        </div>
                    </div>
                </div>
                <?php

            endforeach;
        endif;
        ?>
    </div>
</div>
